#include <bits/stdc++.h>

using namespace std;

double p[200000];

int main()
{
    int n, a; cin>>n;
    double sad, pre;

    for(int i = 0; i < n; i++)
    {
        cin>>a;
        cin>>p[i];
    }

    sort(p, p+n);
    pre = p[n-1]*a/100;

    for(int i = n-2; i > -1; i--)
    {
        sad = p[i]*a*(n-i)/100;
        //cout<<i<<" "<<pre<<" "<<sad<<endl;
        if(pre > sad){cout<<pre; return 0;}
        pre = sad;
    }

    cout<<sad;

    return 0;
}